# AtomFeedFormat Class Reference
[Feed's parsers]

Inheritance diagram for AtomFeedFormat:
[legend]

List of all members.

## Public Member Functions

| getChannelWorker ()
| getItemWorker ()
| isAcceptable (SimpleXMLElement $xmlFeed)

## Static Public Member Functions

static | me ()

## Detailed Description

Definition at line 15 of file AtomFeedFormat.class.php.

## Member Function Documentation

AtomFeedFormat::getChannelWorker | ( |  | ) |

Returns:
  AtomChannelWorker

Reimplemented from FeedFormat.

Definition at line 28 of file AtomFeedFormat.class.php.

References me().

Here is the call graph for this function:

AtomFeedFormat::getItemWorker | ( |  | ) |

Returns:
  AtomItemWorker

Reimplemented from FeedFormat.

Definition at line 36 of file AtomFeedFormat.class.php.

References me().

Here is the call graph for this function:

AtomFeedFormat::isAcceptable | ( | SimpleXMLElement $ | xmlFeed | ) |

Reimplemented from FeedFormat.

Definition at line 41 of file AtomFeedFormat.class.php.

static AtomFeedFormat::me | ( |  | ) | `[static]`

Returns:
  AtomFeedFormat

Definition at line 20 of file AtomFeedFormat.class.php.

References Singleton::getInstance().

Referenced by FeedReader::__construct(), getChannelWorker(), and getItemWorker().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- main/Markup/Feed/AtomFeedFormat.class.php